package cn.com.qmth.stmms.biz.exam.service;

import cn.com.qmth.stmms.biz.exam.model.SubjectUser;

import java.util.List;
import java.util.Set;

public interface SubjectUserService {

    SubjectUser save(SubjectUser u);

    List<SubjectUser> findByUserId(Integer userId);

    Set<String> findSubjectCode(Integer userId);

    int batchSave(List<SubjectUser> saveList);

    SubjectUser findBySubjectCodeAndUserId(String subjectCode, Integer userId);

    SubjectUser findById(Integer id);

    void save(String subjectCode, Integer[] userIds);

    void updateByUserId(Integer userId, Set<String> subjectCodeSet);

}
